import { MediaFile } from "@/file-viewer/models/MediaFile.ts";
import { addScript } from "#sitegen";
import { Readme } from "@/file-viewer/cotyledon.tsx";
import { MediaPanel } from "../views/clofi.tsx";

export const theme = {
  bg: "#312652",
  fg: "#f0f0ff",
  primary: "#fabe32",
};

export const meta = { title: "living room" };

export default function CotyledonPage() {
  addScript("../scripts/canvas_cotyledon.client.ts");
  return (
    <div class="files ctld ctld-et">
      <MediaPanel
        file={MediaFile.getByPath("/")!}
        isLast={false}
        activeFilename={null}
        hasCotyledonCookie={true}
      />
      <Readme />
    </div>
  );
}
